using Gtk;

public int main (string[] args)
{
   Gtk.init (ref args);

   var l = Unity.LauncherEntry.get_for_desktop_id ("checkbox-unity-helper.desktop");

   /* Set progress to 42% done */
   l.progress = 0.42;
   l.progress_visible = true;

   /* Set count to 42 */
   l.count = 42;
   l.count_visible = true;

   /* We also want a quicklist */
   var ql = new Dbusmenu.Menuitem ();
   var item1 = new Dbusmenu.Menuitem ();
   item1.property_set (Dbusmenu.MENUITEM_PROP_LABEL, "Item 1");
   var item2 = new Dbusmenu.Menuitem ();
   item2.property_set (Dbusmenu.MENUITEM_PROP_LABEL, "Item 2");
   ql.child_append (item1);
   ql.child_append (item2);
   l.quicklist = ql;

   var window = new Window ();
   window.set_default_size (200, 70);
   window.border_width = 12;
   window.destroy.connect (Gtk.main_quit);

   var button = new Button.with_label ("Quit");
   button.clicked.connect (Gtk.main_quit);
   window.add (button);

   window.show_all ();

   Gtk.main ();
   return 0;
}

